
Zyxel XGS1910-24 Managed L2 Black
Model XGS1910-24EAN 7605591202456
47 specifications
- Speed10 Gbit/s
- Weight2.1 kg
- ColourBlack
- Switch typeManaged
- Basic switching RJ-45 Ethernet ports quantity24
- 10G supportYes
Overview
- Speed
- 10 Gbit/s
- Weight
- 2.1 kg
- Colour
- Black
- Switch type
- Managed
- Basic switching RJ-45 Ethernet ports quantity
- 24
- 10G support
- Yes
- Brand
- Zyxel
- Category
- Network Switch
- Model
- XGS1910-24
- Part numbers
- XGS1910-24, XGS1910-24-EU0101F, XGS1910-24-GB0101F
- EAN / UPC
- 7605591202456, 4006874032525, 4718937566174, 5054484744078 +2 more
- Also known as
- Zyxel XGS1910-24 Managed L2 Black
Specifications
47 specifications in 14 groups
Management features
| Specification | Value |
|---|---|
| Switch type | Managed |
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| MIB support | RFC 1213, RFC 2819, RFC 2863, RFC 3411, RFC 3414, RFC 3415, RFC 3635, RFC 3636, RFC 4133, RFC 4188, RFC 4668, RFC 4670, RFC 5519 |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 24 |
| Gigabit Ethernet (copper) ports quantity | 24 |
| Combo SFP ports quantity | 4 |
| SFP/SFP+ slots quantity | 4 |
| SFP+ module slots quantity | 2 |
| Console port | RS-232 |
| Power connector | DC-in jack |
Network
| Specification | Value |
|---|---|
| Networking standards | IEEE 802.1D, IEEE 802.1p, IEEE 802.1Q, IEEE 802.3, IEEE 802.3ab, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
| 10G support | Yes |
| Copper ethernet cabling technology | 1000BASE-T, 100BASE-TX, 10BASE-T |
| Full duplex | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Rate limiting | Yes |
| VLAN support | Yes |
Data transmission
| Specification | Value |
|---|---|
| MAC address table | 32000 entries |
| Supported data transfer rates | 10/100/1000 Mbit/s |
| Switching capacity | 48 Gbit/s |
| Maximum data transfer rate | 10 Gbit/s |
Security
| Specification | Value |
|---|---|
| DHCP features | DHCP client |
| IGMP snooping | Yes |
| MAC address filtering | Yes |
| SSH/SSL support | Yes |
| Security algorithms | 802.1x RADIUS |
Protocols
| Specification | Value |
|---|---|
| Management protocols | SNMP v1,v2c, v3 |
Design
| Specification | Value |
|---|---|
| Stackable | Yes |
| Product colour | Black |
| Safety | LVD |
Power
| Specification | Value |
|---|---|
| AC input voltage | 100 - 240 V |
| AC input frequency | 50 - 60 Hz |
| Power consumption (typical) | 32 W |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | No |
Other features
| Specification | Value |
|---|---|
| Packet transfer speed | 65.5 Mpps |
Operational conditions
| Specification | Value |
|---|---|
| Operating temperature (T-T) | 0 - 50 °C |
| Storage temperature (T-T) | -25 - 70 °C |
| Operating relative humidity (H-H) | 10 - 95% |
Weight & dimensions
| Specification | Value |
|---|---|
| Width | 430 mm |
| Depth | 180 mm |
| Height | 44.5 mm |
| Weight | 2.1 kg |
Certificates
| Specification | Value |
|---|---|
| Certification | RoHS, FCC, CE, CNS, ICES, CNS14336 & CNS13438 |
Logistics data
| Specification | Value |
|---|---|
| Harmonized System (HS) code | 85176990 |
What people say
Reviews & ratings
Zyxel XGS1910-24 Managed L2 Black
No reviews yet
Be the first to tell others how Zyxel XGS1910-24 Managed L2 Black works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare Zyxel XGS1910-24 Managed L2 Black
All network switch comparisons- Zyxel XGS1910-24 Managed L2 Black vsZyxel GS1910-48HP Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) BlackCompare specs
- Zyxel XGS1910-24 Managed L2 Black vsZyxel GS1910-24HP Managed L2 Power over Ethernet (PoE) BlackCompare specs
- Zyxel XGS1910-24 Managed L2 Black vsZyxel XGS1910-48 Managed L2 BlackCompare specs
- Zyxel XGS1910-24 Managed L2 Black vsZyxel GS-108B v2Compare specs
- Zyxel XGS1910-24 Managed L2 Black vsLogiLink NS0060 network switch Managed Power over Ethernet (PoE) 19U BlackCompare specs
- Zyxel XGS1910-24 Managed L2 Black vsDell PowerConnect 5524 Managed L3 1U BlackCompare specs
- Zyxel XGS1910-24 Managed L2 Black vsLevelOne 26-Port Gigabit Switch, 2 x SFPCompare specs
- Zyxel XGS1910-24 Managed L2 Black vsDell PowerConnect 2816 Managed L2/L3 Gigabit Ethernet (10/100/1000) 1U BlackCompare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB



















